Skip to content

Change the object types assigned to object records. Any field values that exist on both the original and new object type will carry over to the new type. All other field values will be removed, as only fields on the new type are valid. You can set field values on the new object type in the CSV input.

  • The maximum input file size is 1GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard format.
  • The maximum batch size is 500.
POST/api/{version}/vobjects/{object_name}/actions/changetype
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or text/csv
NameDescription
{object_name}The name of the object.

Upload parameters as a JSON or CSV file.

NameDescription
id
required
The ID of the object record.
object_type__v
required
The ID of the new object type.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: application/json" \ --data-raw 'id,object_type__v 00P07710,new_product__c' \ https://myvault.veevavault.com/api/v26.1/vobjects/product__v/actions/changetype
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "data": { "id": "00P07710", "url": "api/v24.2/vobjects/product__v/00P07710" } } ] }